/* ascii table for ksirc - Robbie Ward <linuxphreak@gmx.co.uk>*/

#ifndef CHARSELECTOR_H
#define CHARSELECTOR_H

#include <kdialog.h>

#include <kcharselect.h>

class QVBoxLayout;
class QPushButton;

class charSelector : public KDialog
{
  Q_OBJECT
  public:
    charSelector(QWidget *parent=0, const char *name=0);
    ~charSelector() {};

  public slots:
    void insertText();
    QString currentText() { return charSelect->chr(); }

  signals:
    void clicked();

  private:
    KCharSelect *charSelect;
    QVBoxLayout* testLayout;
    QPushButton *insertButton;
};
#endif
